| Home | Libraries | People | FAQ | More

## Struct _env

boost::proto::_env — A primitive transform that returns the current transform environment unmodified.

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    struct _env :  proto::transform<_env> {
      // member classes/structs/unions

      struct impl :  proto::transform_impl<Expr, State, Data> {
        // types
        typedef Data result_type;

        // public member functions
        result_type operator()(typename impl::expr_param,
                               typename impl::state_param,
                               typename impl::data_param) const;
      };
    };

## Description

See `proto::_env::impl` for the full details.